#
# Rebuild option:
#
#   --with testsuite         - run the test suite (requires X)
#

Name:           perl-PPI-Tester
Version:        0.06
Release:        7%{?dist}
Summary:        A wxPerl-based interactive PPI debugger/tester

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/PPI-Tester/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/PPI-Tester-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::AutoInstall)
BuildRequires:  perl(PPI)
BuildRequires:  perl(Wx)
BuildRequires:	perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package implements a wxWindows desktop application which provides
the ability to interactively test the PPI perl parser.


%prep
%setup -q -n PPI-Tester-%{version}


%build
# Hack, we work around weirdness in Wx probing.
%{__perl} Makefile.PL INSTALLDIRS=vendor || :
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{?_with_testsuite:make test}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/*
%{perl_vendorlib}/PPI/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.06-5
- hack: work around Wx probing issues

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.06-4
- add BR: Test::More

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.06-3
- rebuild for new perl

* Wed Oct  4 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.06-2
- Added missing BR perl(ExtUtils::AutoInstall).
- Changed the build process: Build.PL -> Makefile.PL
  (Build.PL just requires Makefile.PL).

* Sun Sep 24 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.06-1
- First build.
